Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033626
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2016-08-04 15:302016-12-23 08:19
ReportercaristuView Statuspublic 
Assigned ToNaroaIriarte 
PriorityhighResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revisiona385ae18b6f5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033626: Unneeded datasource request after cancelling a newly created record in grid view having summary functions

DescriptionUnneeded datasource request after cancelling a newly created record in grid view having summary functions
Steps To Reproduce1) Go to the [Unit of Measure] window
2) Add a summary field in any column
3) Create a new record in grid view
4) Cancel the edition. Notice that an unneeded datasource request is done for the summary field recalculation
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033853 closedNaroaIriarte summary functions: extra DS requests when relocating grid column 
related to defect 0033618 closedcaristu Unneeded datasource requests after creating a new record in grid view having summary functions 
related to defect 0033669 closedcaristu Unneeded datasource request after opening a window with a summary function on a child tab 
related to defect 0036459 closedcaristu error thrown when refreshing after cancelling row creation before FIC response is processed 

-  Notes
(0092398)
hgbot (developer)
2016-12-15 09:10

Repository: erp/devel/pi
Changeset: f3f3a148df371d6c09bf7e44cde87a5a1e234243
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Wed Dec 14 14:28:50 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f3f3a148df371d6c09bf7e44cde87a5a1e234243 [^]

Fixed issue 33626: Unneeded ds request when cancelling a record fixed

There was an uneeded ds request when there was a summary function and a new record edition was cancelled in grid view.
To fix this, the showGridSummary property has been set to false before the call to the function "handleUpdate". This avoids one flow of smartclient which was triggerin a ds request.
After that the "setShowGridsummary" function is invoked, to show again the summary function values.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0092458)
alostale (developer)
2016-12-16 08:55

Reopening:

1. Go to the [Unit of Measure] window
2. Create a new record in grid view
3. Cancel the edition.
  ->ERROR: Summary function row appears
(0092468)
hgbot (developer)
2016-12-16 11:01

Repository: erp/devel/pi
Changeset: a385ae18b6f5ce2af500146bf6c4eeb11741fe89
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Fri Dec 16 11:00:19 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a385ae18b6f5ce2af500146bf6c4eeb11741fe89 [^]

Fixed issue 33626: Code review improvements

When a record was cancelled i grid view, without any summary row defined in any column, the summary function grid was shown with the text "no items to show" this has been fixed by adding a condition to the ob-view-grid.discardEdits function. Now, the summary grid will only be shown when there actually exists a summary function in any column.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0092717)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092726)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092956)
alostale (developer)
2016-12-23 08:19

code reviewed

tested with and without summary functions:

1. cancelling new record in grid and in form
2. cancelling editing of existing record in grid and in form

- Issue History
Date Modified Username Field Change
2016-08-04 15:30 caristu New Issue
2016-08-04 15:30 caristu Assigned To => platform
2016-08-04 15:30 caristu Modules => Core
2016-08-04 15:30 caristu Triggers an Emergency Pack => No
2016-08-04 15:30 caristu Relationship added related to 0033618
2016-08-04 15:30 caristu Assigned To platform => caristu
2016-08-04 15:38 caristu Tag Attached: Performance
2016-08-10 14:26 caristu Relationship added related to 0033669
2016-08-30 14:00 caristu Relationship added related to 0033853
2016-08-30 14:00 caristu Assigned To caristu => platform
2016-08-30 14:00 caristu Status new => acknowledged
2016-12-01 13:20 alostale Priority high => normal
2016-12-01 14:05 alostale Priority normal => urgent
2016-12-01 14:05 alostale Priority urgent => high
2016-12-05 12:57 NaroaIriarte Assigned To platform => NaroaIriarte
2016-12-12 16:11 NaroaIriarte Status acknowledged => scheduled
2016-12-15 09:09 NaroaIriarte Review Assigned To => alostale
2016-12-15 09:10 hgbot Checkin
2016-12-15 09:10 hgbot Note Added: 0092398
2016-12-15 09:10 hgbot Status scheduled => resolved
2016-12-15 09:10 hgbot Resolution open => fixed
2016-12-15 09:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f3f3a148df371d6c09bf7e44cde87a5a1e234243 [^]
2016-12-16 08:55 alostale Note Added: 0092458
2016-12-16 08:55 alostale Status resolved => new
2016-12-16 08:55 alostale Resolution fixed => open
2016-12-16 10:55 NaroaIriarte Status new => acknowledged
2016-12-16 10:55 NaroaIriarte Status acknowledged => scheduled
2016-12-16 11:01 hgbot Checkin
2016-12-16 11:01 hgbot Note Added: 0092468
2016-12-16 11:01 hgbot Status scheduled => resolved
2016-12-16 11:01 hgbot Resolution open => fixed
2016-12-16 11:01 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/f3f3a148df371d6c09bf7e44cde87a5a1e234243 [^] => http://code.openbravo.com/erp/devel/pi/rev/a385ae18b6f5ce2af500146bf6c4eeb11741fe89 [^]
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092717
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092726
2016-12-23 08:19 alostale Note Added: 0092956
2016-12-23 08:19 alostale Status resolved => closed
2016-12-23 08:19 alostale Fixed in Version => 3.0PR17Q1
2017-08-22 09:18 caristu Relationship added related to 0036459


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker